cURL
curl --request GET \
--url https://app.teable.ai/api/share/%7BshareId%7D/view \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'const url = 'https://app.teable.ai/api/share/%7BshareId%7D/view';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/share/%7BshareId%7D/view',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }
conn.request("GET", "/api/share/%7BshareId%7D/view", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"tableId": "<string>",
"shareId": "<string>",
"fields": [
{
"id": "<string>",
"name": "Tags",
"type": "singleSelect",
"options": {
"timeZone": "<string>",
"formatting": "<unknown>",
"showAs": {}
},
"dbFieldName": "<string>",
"description": "this is a summary",
"meta": {
"persistedAsGeneratedColumn": false
},
"aiConfig": {
"modelKey": "<string>",
"type": "extraction",
"sourceFieldId": "<string>",
"isAutoFill": true,
"attachPrompt": "<string>"
},
"isLookup": true,
"isConditionalLookup": true,
"lookupOptions": {
"foreignTableId": "<string>",
"lookupFieldId": "<string>",
"fkHostTableName": "<string>",
"selfKeyName": "<string>",
"foreignKeyName": "<string>",
"linkFieldId": "<string>",
"baseId": "<string>",
"filter": {}
},
"notNull": true,
"unique": true,
"isPrimary": true,
"isComputed": true,
"isPending": true,
"hasError": true,
"isMultipleCellValue": true,
"recordRead": true,
"recordCreate": true
}
],
"records": [
{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}
],
"viewId": "<string>",
"shareMeta": {
"allowCopy": true,
"includeHiddenField": true,
"password": "<string>",
"includeRecords": true,
"submit": {
"allow": true,
"requireLogin": true
}
},
"view": {
"id": "<string>",
"name": "<string>",
"createdBy": "<string>",
"createdTime": "<string>",
"columnMeta": {},
"description": "<string>",
"order": 123,
"options": {
"fieldNameDisplayLines": 2,
"frozenColumnCount": 1,
"frozenFieldId": "<string>"
},
"sort": {
"sortObjs": [
{
"fieldId": "<string>"
}
],
"manualSort": true
},
"filter": {},
"group": [
{
"fieldId": "<string>"
}
],
"isLocked": true,
"shareId": "<string>",
"enableShare": true,
"shareMeta": {
"allowCopy": true,
"includeHiddenField": true,
"password": "<string>",
"includeRecords": true,
"submit": {
"allow": true,
"requireLogin": true
}
},
"lastModifiedBy": "<string>",
"lastModifiedTime": "<string>",
"pluginId": "<string>"
},
"extra": {
"groupPoints": [
{
"id": "<string>",
"type": 0,
"depth": 1,
"isCollapsed": true,
"value": null
}
],
"plugin": {
"pluginId": "<string>",
"pluginInstallId": "<string>",
"name": "<string>",
"url": "<string>",
"storage": {}
}
}
}share
Get share view
get share view info
GET
/
share
/
{shareId}
/
view
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

